#!/bin/bash

# ./zipfile2geojson.sh [module.filereader.upload.dir] filename id [module.filereader.unzip] [cbinfo.ogr2ogr.exe]

touch $1$2_temp.txt
echo waypoints >>$1$2_temp.txt
echo routes >>$1$2_temp.txt
echo tracks >>$1$2_temp.txt

#Make VRT file
touch >$1$2.vrt
echo "<OGRVRTDataSource><OGRVRTUnionLayer name="unionLayer">" > $1$2.vrt

cat $1$2_temp.txt |
while read filename
do
   echo "<OGRVRTLayer name=\"$filename\"><SrcDataSource>$1$2</SrcDataSource></OGRVRTLayer>"  >>  $1$2.vrt
done

echo "</OGRVRTUnionLayer></OGRVRTDataSource>" >> $1$2.vrt

$5 -t_srs EPSG:25832 -f "geojson" /vsistdout/ $1$2.vrt -lco WRITE_BBOX=YES -lco COORDINATE_PRECISION=2 -dim 2 --DEBUG ON
#Clean up
rm $1$2_temp.txt
