#!/bin/bash

# ./zipfile2geojson.sh [module.filereader.upload.dir] filename id [module.filereader.unzip] [cbinfo.ogr2ogr.exe]

#UNZIP FILE
$4 -q -o $1$2 -d $1$3

#Write OGR VRT file - UNiojnLayer
touch $1$3/temp_union.vrt
echo "<OGRVRTDataSource><OGRVRTUnionLayer name="unionLayer">" > $1$3/temp_union.vrt

#FIND ESRI SHAPEFILES AND MAPINFO TABFILES and insert into vrt file
find -E $1$3 -regex '.*(tab|TAB|shp|SHP)' |
while read filename
do
    #GET layername as basename of file without extension
    basefilename=`basename $filename | cut -d. -f1`
    #echo $filename
    #echo $basefilename

   echo "<OGRVRTLayer name=\"$basefilename\"><SrcDataSource>${filename}</SrcDataSource></OGRVRTLayer>"  >>  $1$3/temp_union.vrt
done


echo "</OGRVRTUnionLayer></OGRVRTDataSource>" >> $1$3/temp_union.vrt

$5  -s_srs EPSG:25832 -t_srs EPSG:25832 -f "geojson" /vsistdout/ $1$3/temp_union.vrt -lco WRITE_BBOX=YES -lco COORDINATE_PRECISION=2 -dim 2
#rm -r $1$3
